Subject: Responses to enhancement queries

From: [email-masked] (Paul Gacek)
Date: Mon, 3 May 93 07:44:00 PDT

>Having just joined this discussion, and not having participated in the
>workshops (not through my own fault), I would appreciate some clarification
>on some of the suggestions for enhancements to DLS.  Please forgive me if
>I display my ignorance.
>
>>Novell's list of desirable DLS enhancements as of April 29, 1993 is:
>>
>>1. Flow Control 
>DLS is carried over TCP, which has flow control.  Further the individual
>sessions within the connection all have flow control.  What exactly is
>missing?
>
A specification of a consistant mechanism of when to flow control either 
the DLS connection or the LLC2/SDLC connection.

>>2. PU 2.1 Support
>DLS provides a data link connection which can be, and is, used for T2.1
>traffic.  Are you asking for DLS to be supported on additional T2.1
>platforms, such as the AS/400 and OS/2?  That would be product requirements,
>not architectural enhancements.
>
No I am not asking for DLS support on AS/400s or OS/2. While DLS 
provides a data link connection it does so by terminating the the DLC 
(LLC2 or SLDC)  connection at the DLS router. The 2.1 support issue 
is related to handling XID3. 

>>3. Different media types/protocols
>>    a) Ethernet
>SNA cannot be carried over "Ethernet" as the DIX specification does not
>provide a reliable logical link control.  If by this requirement you mean
>support of  LANs then that sounds like a good
>requirement.
>
Yes - LLC2 802.2 LLC2 over 802.3 CSMA/CD is the one. Ethernet 
connectivity is offered  on NetWare for SAA and IBM's OS/2 Comm 
Manager and other third party emulation products (Attachmate, Wall Data, 
NSA et al). Host access is frequently  provided via products like the 
8209 (token-ring to ethernet bridge).

>>    b) SDLC up stream
>This seems reasonable.  It is somewhat strange that this is not provided
>considering that being a secondary SDLC station is substantially simpler to
>implement than being a primary SDLC station.
>
I assume you are talking about the 6611 implementation which as you point 
out is a product detail. While I agree secondary SDLC is easier  than primary 
SDLC and therefore should "fall out" of any primary implementation, I 
believe the 6611 only supports primary SDLC at present. End to end SDLC 
is one way of supporting PU1 SDLC devices (the alternative involves LU 6.2).

One SDLC end to end issue is handling of TESTs.
 
>Since a router using DLS would presumeably deliver multiple logical link
>connections to a single SDLC up stream (host) connection, it would seem to
>me important that the up-stream connection support the group poll capability
>already demonstrated on the 3174 token-ring gateway.  That would, in turn,
>imply that the SDLC down-stream (terminal) support should be capable of
>group polling an attached device.  That would require IBM releasing
>additional documentation on how that protocol works.
>
Group poll - seems like a good idea but isn't this an implementation specific detail.
 
>>    c) channel
>This could mean a couple of things:
>
>A TCP/IP connection being delivered over a channel to DLS support in the
>mainframe TCP/IP software (FAL/HAL).  That seems to me to be a product
>requirement, rather than an architectural enhancement.
>
I was thinking more of channel connectivity from an SNA DLC standpoint.  
TCP connectivity to a mainframe over channel might be an area that BNR and 
NSC are interested in pursuing.

>A DLS connection being terminated in a channel attached router which then
>communicates with the mainframe appearing as one of: a 3172 terminating an
>LLC2 LAN connection, a 3174 T2[.1], or a 3745 T4.
>

Something along the lines of 3172 functionality. Channel connectivity up to 
the mainframe is retained and  the  LLC2 connection out to a DSPU is replaced 
by a DLS connection to a remote DLS router. It is the same idea as having token 
ring and ethernet at either ends, except a channel connection is used in place of 
either the ethernet or token ring. 

The same is possible using a 3174 appearance to the mainframe. PU4 - my 
specs out of date!
 
>The remaining items look like good topics for discussion.